For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterAPI KeysStatusSign In
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Getting started
  • Email API
  • Transactional SMS
  • Transactional WhatsApp
  • Marketing Campaigns
  • Contact Management
      • POSTCreate contact attribute
      • PUTUpdate contact attribute
      • GETList all attributes
      • DELDelete an attribute
      • DELDelete a multiple-choice attribute option
  • Events
    • GETGet events
    • POSTCreate an event
    • POSTCreate events in batch
  • Object Management
  • Accounts and Settings
  • Sales CRM
  • Conversations
  • Ecommerce
  • Loyalty
LogoLogo
Help CenterAPI KeysStatusSign In
Contact ManagementAttributes

Delete a multiple-choice attribute option

DELETE
https://api.brevo.com/v3/contacts/attributes/:attributeType/:multipleChoiceAttribute/:multipleChoiceAttributeOption
DELETE
/v3/contacts/attributes/:attributeType/:multipleChoiceAttribute/:multipleChoiceAttributeOption
1import { BrevoClient } from "@getbrevo/brevo";
2
3async function main() {
4 const client = new BrevoClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.contacts.deleteMultiAttributeOptions("multiple-choice", "multipleChoiceAttribute", "multipleChoiceAttributeOption");
8}
9main();

Delete a specific option from an existing multiple-choice contact attribute. The attribute type must be “multiple-choice”, and both the attribute name and the option to delete must already exist in your account.

Was this page helpful?
Previous

Create a list

Next
Built with

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

Path parameters

attributeTypeenumRequired
Type of the attribute
Allowed values:
multipleChoiceAttributestringRequired

Name of the existing multiple-choice attribute

multipleChoiceAttributeOptionstringRequired

Name of the existing multiple-choice attribute option that you want to delete

Response

Multiple-Choice Attribute Option Deleted Successfully.

Errors

400
Bad Request Error
404
Not Found Error